package cn.reghao.tnb.auth.app.service;

import cn.reghao.jutil.jdk.web.result.Result;
import cn.reghao.tnb.auth.app.model.dto.AccountRegisterDto;
import cn.reghao.tnb.auth.app.model.po.UserAccount;
import cn.reghao.tnb.auth.app.model.po.UserRegistry;

/**
 * @author reghao
 * @date 2022-04-13 10:07:28
 */
public interface AccountRegistryService {
    UserRegistry getUserRegistry();
    Result createAccount(AccountRegisterDto accountRegisterDto);
    UserAccount createAccount(String principal, String password);
    void createAdminAccount();
}
